Subject: Re: [PATCH net-next v3 0/5] switchdev: avoid duplicate packet forwarding

From: Andrew Lunn <[email-masked]>
Date: Mon, 20 Jul 2015 20:08:55 +0200

> This looks good to me, and it looks like this is also relevant for
> DSA-driven switches, however I am not exactly clear on how we could
> potentially use this on such switches.
> 
> For Broadcom tags, there is a reason code forwarded along with the tag
> making it to the CPU, and the "mirror" bit sounds like something that
> should dictate whether we should be setting the fwd_mark or not.
> 
> What does it look like on Marvell switches?

Hi Florian

There are some bits indicating some status information. But these are
more to do with BDPU, IGMP/MLD and ARP.

I've not yet had time to dig into the details here. I suspect the D in
DSA is going to make this very interesting.

    Andrew